<template>
  <div id="app">
    <PicrossEditor :numberRows= "rowsToSend" :numberCells= "columnsToSend" @update-picross-data="updatePicrossData"/>
    <!-- <PicrossPlayer :picrossData="list"/> -->

    <button @click="sendData">Générer le Nonogramme</button>

     Nb Lignes
    <input type='number' v-model.number='rows'>
     Nb Colonnes
    <input type='number' v-model.number='columns'>

    Titre :
    <input type='text' v-model='title'>

    <pre style="border: 1px solid gray; height: 10rem; overflow: auto;"> {{nonogram}} </pre>
    <!-- <div> Liste des nonogrammes
    <ul>
      <li v-for="(element, index) in list"
      :key="element + index"
      >
      {{element.title}}
      </li>
    </ul>

  </div> -->

  </div>
</template>

<script>

import PicrossEditor from '@/components/PicrossEditor.vue'
// import PicrossPlayer from '@/components/PicrossPlayer.vue'

export default {
  name: 'Nonogram',
  components: {
    PicrossEditor
    // PicrossPlayer
  },
  data: function () {
    return {
      title: '',
      rows: 6,
      columns: 6,
      rowsToSend: 3,
      columnsToSend: 3,
      nonogram: {},
      list: {}
    }
  },

  methods: {
    updatePicrossData (newPicrossData) {
      this.nonogram = newPicrossData
    },
    getList () {
      return fetch('/picross.json')
        .then(response => response.json())
        .then(data => {
          console.log('data : ', data)
          this.list = data
        })
    },

    sendData () {
      this.rowsToSend = this.rows
      this.columnsToSend = this.columns
    }
  },
  mounted () {
    this.getList()
    console.log(this.list)
  }

  // watch: {
  //     rows : 'cellsTab'           // Appelle la fonction cellsTab à chaque modif de rows
  // }
  // beforeCreate: function(){
  //     this.columns = 3
  // },
  // beforeMount: function(){
  //     this.columns = 15
  // }
}

</script>

<style scoped>
    /* table {
        border: 1px solid gray;
        border-collapse: collapse;
      }
    tr, td {
        height: 20px;
      }
    td {
        width: 20px;
        border: 1px solid gray;
      }
    td:hover {
        background-color: red;
      }
    .selected {
        background-color: blue;
      } */

</style>
